<script setup lang="ts">
interface Props {
  gene: string;
  iconSize?: string;
}
const props = defineProps<Props>();
const { gene } = toRefs(props);

const { isFavoriteGene, toggleFavoriteGene } = useFavoriteGenesStore();
const favorite = computed(() => isFavoriteGene(gene.value));
const color = computed(() => (favorite.value ? "accent" : "grey"));
</script>

<template>
  <v-tooltip
    :text="favorite ? 'Remove from my genes' : 'Add to my genes'"
    :open-delay="500"
  >
    <template #activator="{ props: tooltipProps }">
      <v-btn
        v-bind="tooltipProps"
        density="compact"
        variant="text"
        :size="props.iconSize || 'small'"
        :icon="favorite ? 'mdi-star' : 'mdi-star-outline'"
        :color="color"
        @click.stop.prevent="toggleFavoriteGene(gene)"
      />
    </template>
  </v-tooltip>
</template>
